images:
  web:
    repository: makeplane/plane-frontend
  space:
    repository: makeplane/plane-space
  admin:
    repository: makeplane/plane-admin
  api:
    repository: makeplane/plane-backend
  enterpriseWeb:
    repository: registry.plane.tools/plane/web-enterprise
  enterpriseSpace:
    repository: registry.plane.tools/plane/space-enterprise
  enterpriseAdmin:
    repository: registry.plane.tools/plane/admin-enterprise
  enterpriseApi:
    repository: registry.plane.tools/plane/backend-enterprise
  enterpriseLive:
    repository: registry.plane.tools/plane/live-enterprise
  enterpriseMonitor:
    repository: registry.plane.tools/plane/monitor-enterprise
  rabbitmq:
    repository: rabbitmq
    tag: 3.13.6-management-alpine
  redis:
    repository: valkey/valkey
    tag: 7.2.5-alpine

config:
  imagePullPolicy: IfNotPresent
  updateStrategy: Recreate
  debug: false
  istio: false
  version: stable
  enterprise: false
  web:
    replicas: 1
    resources:
      limits:
        cpu: 500m
        memory: 1000Mi
  space:
    replicas: 1
    resources:
      limits:
        cpu: 500m
        memory: 1000Mi
  admin:
    replicas: 1
    resources:
      limits:
        cpu: 500m
        memory: 1000Mi
  api:
    replicas: 1
    resources:
      limits:
        cpu: 500m
        memory: 1000Mi
  worker:
    replicas: 1
    resources:
      limits:
        cpu: 500m
        memory: 1000Mi
  beatworker:
    replicas: 1
    resources:
      limits:
        cpu: 500m
        memory: 1000Mi
  live:
    replicas: 1
    resources:
      limits:
        cpu: 500m
        memory: 1000Mi
  monitor:
    resources:
      limits:
        cpu: 500m
        memory: 1000Mi
  redis:
    resources:
      limits:
        cpu: 500m
        memory: 1000Mi
  s3:
    integration: ''
    bucket: ''
    accessKey: ''
    endpoint: ''
    preserve: true
    region: ''
    secretKey: ''
  postgres:
    integration: ''
    database: plane
    host: ''
    password: ''
    port: 3306
    username: postgres
    # url: ''

ingress:
  plane:
    enabled: false
    hostname: ''
    tls: false
    issuer:
      name: ''

persistence:
  enabled: true
  accessMode: ReadWriteOnce
  size:
    redis: 1Gi
    rabbitmq: 100Mi
    monitor: 100Mi
  storageClass: ''
  kanister:
    enabled: false
    schedule: '0 0 * * *'
